<mat-spinner *ngIf="loading; else detail"></mat-spinner>

<ng-template #detail>
  <h1>DETAIL VIEW</h1>

  <button mat-icon-button (click)="back()">
    <mat-icon>arrow_back</mat-icon>
  </button>

  <form [formGroup]="productForm">
    <mat-card>
      <mat-card-header>
        <mat-card-title>
          PRODUCT DETAIL
          <span style="margin-left: 10px; margin-right: 10px;"></span>
          <button *ngIf="!productForm.enabled" mat-icon-button [disabled]="ls.isRole('User') | async" (click)="productForm.enable()">
            <mat-icon>edit</mat-icon>
          </button>
          <button *ngIf="productForm.enabled" mat-icon-button (click)="productForm.disable()">
            <mat-icon>save</mat-icon>
          </button>
        </mat-card-title>
      </mat-card-header>

      <mat-card-content>
        <mat-form-field>
          <input matInput type="text" placeholder="Name" formControlName="name">
        </mat-form-field>
        <mat-form-field>
          <input matInput type="text" placeholder="Category" formControlName="category">
        </mat-form-field>
        <mat-form-field>
          <input matInput type="number" placeholder="Quantity" formControlName="quantity">
        </mat-form-field>
        <mat-form-field>
          <input readonly matInput placeholder="Creation date" [matDatepicker]="picker" formControlName="creationDate">
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker touchUi #picker></mat-datepicker>
        </mat-form-field>
        <div class="check">
          <mat-checkbox color="primary" formControlName="countForTotal">
            Count for total
          </mat-checkbox>
        </div>
      </mat-card-content>
    </mat-card>
  </form>

  <button class="action-button" mat-fab color="primary" [disabled]="ls.isRole('User') | async" (click)="remove()">
    <mat-icon>delete</mat-icon>
  </button>
</ng-template>